QGIS Application - Bug report #20264

ProcessingToolbox crashes on calling mouse context menu

2018-10-29 06:25 PM - Benjamin Jakimow

Status: Closed

Priority: High

Assignee: Nyall Dawson
Category: Processing/Core

Affected QGIS version:3.4.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 28085

Description

QGIS crashes when when calling right-mouse-click context menu from a ProcessingToolbox tree-view position below the last TreeNode.

Steps to replicate

1. Open QGIS
2. Open ProcessingToolbox (Ctrl+Alt+T)

3. Resize ProceesingToolbox until while free speace appears below last/lowest TreeNode

4. Call the TreeView context menu by right-mouse click
Stack Trace

QgsProcessingToolboxModel::isAlgorithm :
QgsProcessingToolboxTreeView::algorithmForlndex :
PyMethodDef RawFastCallKeywords :
PyMethodDef RawFastCallKeywords :
PyEval_EvalFrameDefault :
PyFunction_FastCallDict :

PyMethodDef RawFastCallDict :
PyObiject_Call :

Pylnit_QtCore :

Pylnit_QtCore :

Pylnit_QtCore :

Pylnit_QtCore :

Pylnit_QtCore :

QMetaObject::activate :
QWidget::customContextMenuRequested :
QWidget:event :

QFrame::event :
QAbstractltemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifyInternal2 :
QSizePolicy::QSizePolicy :
QSizePolicy::QSizePolicy :
QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifylnternal2 :
QGuiApplicationPrivate::processMouseEvent :
QWindowSystemlInterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :
CallWindowProcW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :
qt_plugin_query_metadata :
QEventLoop::exec :
QCoreApplication::exec :
main :
BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira
QGIS code revision: 4a4b62ed19
Compiled against Qt: 5.11.2
Running against Qt: 5.11.2
Compiled against GDAL: 2.3.2
Running against GDAL: 2.3.2

System Info

CPU Type: x86_64
Kernel Type: winnt
Kernel Version: 10.0.17134

Associated revisions

Revision a873289d - 2018-10-30 07:44 PM - Nyall Dawson

[processing] Fix crash when right clicking toolbox outside of an item

Fixes #20264

Revision 78be68f3 - 2018-10-31 12:58 AM - Nyall Dawson

[processing] Fix crash when right clicking toolbox outside of an item

Fixes #20264

(cherry picked from commit a873289da7846b6761fe40733d5e7407cce7684d)

History

#1 - 2018-10-29 08:45 PM - Giovanni Manghi
- Operating System deleted (Win10 64 bit)
- Category changed from Processing/GUI to Processing/Core

Confirmed on Linux too.

#2 - 2018-10-30 12:43 AM - Nyall Dawson
- Assignee set to Nyall Dawson

- Status changed from Open to In Progress
#3 - 2018-10-30 07:43 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
Applied in changeset commit:qgis|a873289da7846b6761fe40733d5e7407cce7684d.
